apiVersion: v1
kind: Service
metadata:
  name: restmin-${SERVER_NAME}-service
  labels:
    app: restmin-${SERVER_NAME}-service
spec:
  ports:
  - port: 80
    targetPort: 8080
    name: restmin-http
  selector:
    app: restmin-${SERVER_NAME}
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: restmin-${SERVER_NAME}
  labels:
    app: restmin-${SERVER_NAME}
spec:
  replicas: 1
  minReadySeconds: 4
  strategy: 
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
    type: RollingUpdate
  selector:
    matchLabels:
      app: restmin-${SERVER_NAME}
  template:
    metadata:
      labels:
        app: restmin-${SERVER_NAME}
        reliability: stable
        size: small
    spec:
      containers:
      - name: resmin
        image: $ADMIN_API_IMG
        ports:
        - containerPort: 8080
          protocol: TCP
        env:
          - name: PORT
            value: "8080"
          - name: API_HTTP_URL
            value: http://restmin-${SERVER_NAME}-service
          - name: API_HTTP_PORT
            value: "80"
          - name: OPENTTD_NAME
            value: ${SERVER_NAME}
          - name: OPENTTD_HOST
            value: ${OPENTTD_SERVER_HOST}
          - name: OPENTTD_PORT
            value: "${OPENTTD_ADMIN_PORT}"
          - name: OPENTTD_USER
            value: restmin
          - name: OPENTTD_PASSWORD
            value: $ADMIN_PASSWORD
          - name: RABBIT_MQ_HOST
            value: rabbitmq
          - name: RABBIT_MQ_PORT
            value: "5672"